#
# spec file for package python-xcffib
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


# Missing files for tests
%bcond_with tests

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-xcffib
Version:        0.5.1
Release:        lp150.1.2
License:        Apache-2.0
Summary:        A drop in replacement for xpyb, an XCB python binding
Url:            http://github.com/tych0/xcffib
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/x/xcffib/xcffib-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module cffi}
BuildRequires:  %{python_module six}
BuildRequires:  libxcb-devel
%if %{with tests}
BuildRequires:  %{python_module nose}
%endif
Requires:       python-cffi
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
The xcffib package is intended to be a (mostly) drop-in
replacement for xpyb.

%prep
%setup -q -n xcffib-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%if %{with tests}
%check
%python_expand nosetests-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.md
%{python_sitelib}/xcffib/
%{python_sitelib}/xcffib-%{version}-py*.egg-info

%changelog
* Wed Apr 19 2017 toddrme2178@gmail.com
- Update to 0.5.1.
- Implement single-spec version.
* Wed Nov 23 2016 hpj@urpla.net
- add python-cffi runtime dependency
* Mon Nov 21 2016 hpj@urpla.net
- version 0.4.2: initial build
